Show / Hide Table of Contents

# Class DynamicMenuItemModel

##### Inheritance

System.Object
DynamicMenuItemModel

##### Implements

System.ComponentModel.INotifyPropertyChanged

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: UICatalog

###### Assembly: UICatalog.dll

##### Syntax

    public class DynamicMenuItemModel : INotifyPropertyChanged

### Constructors

#### DynamicMenuItemModel()

##### Declaration

    public DynamicMenuItemModel()

### Properties

#### MenuBar

##### Declaration

    public ustring MenuBar { get; set; }

##### Property Value

Type | Description
--- | ---
ustring |

#### Menus

##### Declaration

    public List<DynamicMenuItemList> Menus { get; set; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.List<DynamicMenuItemList> |

#### Parent

##### Declaration

    public ustring Parent { get; set; }

##### Property Value

Type | Description
--- | ---
ustring |

### Methods

#### GetPropertyName(String)

##### Declaration

    public string GetPropertyName(string propertyName = null)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | propertyName |

##### Returns

Type | Description
--- | ---
System.String |

### Events

#### PropertyChanged

##### Declaration

    public event PropertyChangedEventHandler PropertyChanged

##### Event Type

Type | Description
--- | ---
System.ComponentModel.PropertyChangedEventHandler |

### Implements

System.ComponentModel.INotifyPropertyChanged